<xml></xml>

Saxon API for .NET |

# DocumentBuilder.Build Method (Stream)

Load an XML document supplied as raw (lexical) XML on a Stream.

public XdmNode Build(
Stream input
);

#### Parameters

input
  The Stream containing the XML source to be parsed

#### Return Value

An `XdmNode`, the document node at the root of the tree of the resulting in-memory document

#### Remarks

The document is parsed using the `System.Xml` parser.

Before calling this method, the BaseUri property must be set to identify the base URI of this document, used for resolving any relative URIs contained within it.

Note that the Microsoft `System.Xml` parser does not report whether attributes are defined in the DTD as being of type `ID` and `IDREF`. This is true whether or not DTD-based validation is enabled. This means that such attributes are not accessible to the `id()` and `idref()` functions.

#### See Also

DocumentBuilder Class | Saxon.Api Namespace | DocumentBuilder.Build Overload List